Subject: Re: speeding up git-svn when directories are copied?

From: Eric Wong <[email-masked]>
Date: Thu, 26 Apr 2007 08:45:12 -0700

Karl Hasselström <[email-masked]> wrote:
> On 2007-04-23 18:54:05 -0700, Eric Wong wrote:
> 
> > Karl Hasselström <[email-masked]> wrote:
> >
> > > When importing a whole repository, git-svn currently takes a _lot_
> > > of time. Almost all of it seems to be spent getting the full text
> > > of each and every file when a tag or new branch is created.
> >
> > Try SVN 1.4.3 with my patch[1] to get do_switch() working. trunk
> > should work without the patch.
> >
> > [1] - http://svn.haxx.se/dev/archive-2007-01/0936.shtml
> >
> > do_switch() is broken otherwise, and do_update() is extremely
> > inefficient.
> 
> Thanks for the help. I applied your patch to a clean 1.4.3 tree, and
> built subversion itself plus the perl bindings. But git-svn is still
> slow, and the testcase you gave in that thread still fails.
> 
> (I'm pretty sure that I'm actually using the bindings I've built; I
> install them to a nonstandard location, so if I don't set PERL5LIB
> they aren't found at all, and perl complains. When I do set it to my
> patched bindings, perl accepts it but your testcase fails.)

Hmm... I've been using 1.4.3 + patch since January on at least
one of my machines and do_switch() has worked correctly every time.

git-svn will display a message telling you that it's using do_switch()
when following a branch.  Otherwise, it'll say it's using do_update().

-- 
Eric Wong